/**********************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.validation.internal.launcher;

import java.util.Hashtable;
import java.util.Map;

/**
 * This is an abstract implementation of ISMLValidation that will lookup 
 * and invoke the validation class for each SML extension. 
 * 
 * @author Ali Mehregani
 */
public abstract class AbstractSMLValidation implements ISMLValidation
{
	/**
	 * Stores the validation class that is expected to handle an SML 
	 * extension.
	 *
	 * KEY = instance of a class of type ISMLValidation
	 * VALUE = An array of type String indicating the scope for the validation
	 * class.  See ISMLValidation.SCOPE_ for more details  
	 */
	private static Map smlExtensionHandler = new Hashtable();
	
	static
	{
		loadExtensionHandler();
	}
	
	/**
	 * Load the validation classes required for each scope
	 */
	private static void loadExtensionHandler()
	{
		// TODO: This method needs to be based on an extensions defined in section 1.3 of the
		// design document.  For the first milestone it will be hard-coded.
		
	}
	
	public void intialize(Map validationAttribute)
	{
		
	}



	public Object start(Object object)
	{
		// TODO Auto-generated method stub
		return null;
	}
	
	public String[] getScope()
	{
		// TODO Auto-generated method stub
		return null;
	}

	public void setScope(String[] scope)
	{
		// TODO Auto-generated method stub
		
	}


}
